"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnimatedGradient = void 0;
var _reactNative = require("react-native");
var _reactNativeLinearGradient = _interopRequireDefault(require("react-native-linear-gradient"));
var _AnimatedGradientStyles = require("./AnimatedGradient.styles.js");
var _useViewSizeDetector = require("./useViewSizeDetector.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const AnimatedLinearGradient = _reactNative.Animated.createAnimatedComponent(_reactNativeLinearGradient.default);
const start = {
  x: 1,
  y: 0.5
};
const end = {
  x: 0,
  y: 0.5
};
const AnimatedGradient = ({
  useNativeDriver = true,
  children,
  ...props
}) => {
  const {
    size,
    onLayout
  } = (0, _useViewSizeDetector.useViewSizeDetector)();
  const {
    styles
  } = (0, _AnimatedGradientStyles.useStyles)({
    style: props.style,
    colors: props.colors,
    useNativeDriver,
    width: size?.width,
    duration: props.speed
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    style: styles.container,
    onLayout: onLayout,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(AnimatedLinearGradient, {
      style: styles.gradient,
      start: start,
      end: end,
      colors: styles.custom.colors
    }), children && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: styles.contentContainer,
      children: children
    })]
  });
};
exports.AnimatedGradient = AnimatedGradient;
//# sourceMappingURL=AnimatedGradient.js.map