"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStyles = void 0;
var _reactNative = require("react-native");
var _react = require("react");
const baseStyles = _reactNative.StyleSheet.create({
  container: {
    overflow: 'hidden',
    alignItems: 'flex-end'
  },
  gradient: {
    position: 'absolute',
    top: 0,
    bottom: 0,
    width: '200%'
  },
  contentContainer: {}
});
const animationStartOffsetX = 0;
const animationEndOffsetX = 0;
const useStyles = ({
  useNativeDriver,
  width,
  ...options
}) => {
  const translateX = (0, _react.useRef)(new _reactNative.Animated.Value(animationStartOffsetX, {
    useNativeDriver
  })).current;
  const duration = options.duration * options.colors.length * 2;
  (0, _react.useEffect)(() => {
    const animation = _reactNative.Animated.loop(_reactNative.Animated.sequence([_reactNative.Animated.timing(translateX, {
      toValue: width ?? 0 - animationEndOffsetX,
      duration,
      useNativeDriver,
      easing: _reactNative.Easing.linear
    })]));
    animation.start();
    return () => animation.stop();
  }, [translateX, width, useNativeDriver, duration]);
  const colors = (0, _react.useMemo)(() => {
    const arr = [...options.colors, ...options.colors];
    if (options.colors[0]) {
      arr.push(options.colors[0]);
    }
    return arr;
  }, [options.colors]);
  return {
    styles: {
      ...baseStyles,
      container: [baseStyles.container, options.style],
      gradient: [baseStyles.gradient, {
        transform: [{
          translateX
        }]
      }],
      custom: {
        colors
      }
    }
  };
};
exports.useStyles = useStyles;
//# sourceMappingURL=AnimatedGradient.styles.js.map