"use strict";

import { Animated, View } from 'react-native';
import LinearGradient from 'react-native-linear-gradient';
import { useStyles } from "./AnimatedGradient.styles.js";
import { useViewSizeDetector } from "./useViewSizeDetector.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const AnimatedLinearGradient = Animated.createAnimatedComponent(LinearGradient);
const start = {
  x: 1,
  y: 0.5
};
const end = {
  x: 0,
  y: 0.5
};
export const AnimatedGradient = ({
  useNativeDriver = true,
  children,
  ...props
}) => {
  const {
    size,
    onLayout
  } = useViewSizeDetector();
  const {
    styles
  } = useStyles({
    style: props.style,
    colors: props.colors,
    useNativeDriver,
    width: size?.width,
    duration: props.speed
  });
  return /*#__PURE__*/_jsxs(View, {
    style: styles.container,
    onLayout: onLayout,
    children: [/*#__PURE__*/_jsx(AnimatedLinearGradient, {
      style: styles.gradient,
      start: start,
      end: end,
      colors: styles.custom.colors
    }), children && /*#__PURE__*/_jsx(View, {
      style: styles.contentContainer,
      children: children
    })]
  });
};
//# sourceMappingURL=AnimatedGradient.js.map