"use strict";

/** @format */

import { useCallback, useState } from 'react';
export const useViewSizeDetector = () => {
  const [size, setSize] = useState();
  const onLayout = useCallback(({
    nativeEvent: {
      layout: {
        width,
        height
      }
    }
  }) => {
    setSize({
      width,
      height
    });
  }, []);
  return {
    size,
    onLayout
  };
};
//# sourceMappingURL=useViewSizeDetector.js.map