import { Animated, StyleProp, ViewStyle } from 'react-native';
import { Color } from './types';
type UseStylesOptions = {
    style: StyleProp<ViewStyle> | undefined;
    width: number | undefined;
    useNativeDriver: boolean;
    duration: number;
    colors: Color[];
};
export declare const useStyles: ({ useNativeDriver, width, ...options }: UseStylesOptions) => {
    styles: {
        container: ({
            overflow: "hidden";
            alignItems: "flex-end";
        } | StyleProp<ViewStyle>)[];
        gradient: ({
            position: "absolute";
            top: number;
            bottom: number;
            width: "200%";
        } | {
            transform: {
                translateX: Animated.Value;
            }[];
        })[];
        custom: {
            colors: string[];
        };
        contentContainer: {};
    };
};
export {};
//# sourceMappingURL=AnimatedGradient.styles.d.ts.map